# Class: YARD::Parser::Ruby::LiteralNode

Inherits:
  AstNode
  - Object
  - Array
  - AstNode
  - YARD::Parser::Ruby::LiteralNode
  show all

Defined in:
  lib/yard/parser/ruby/ast_node.rb

## Managing node state collapse

- #literal? ⇒ Boolean

## Constructor Details

This class inherits a constructor from YARD::Parser::Ruby::AstNode

## Instance Method Details

### #literal? ⇒ `Boolean`

Returns:

- (`Boolean`)

    373

    # File 'lib/yard/parser/ruby/ast_node.rb', line 373

    def literal?; true end